### Function

# Ide RecentProjects get_default

#### Declaration

    IdeRecentProjects*
    ide_recent_projects_get_default (
      void
    )

#### Description

Gets a shared `IdeRecentProjects` instance.

If this instance is unref’d, a new instance will be created on the next request to get the default `IdeRecentProjects` instance.

Available since: | 3.32

#### Return value

Returns: | `IdeRecentProjects`
| An `IdeRecentProjects`.
| The data is owned by the called function.